Bug 1267726 - NetworkManager 1.0.6 issues with vpnc or openconnect.
NetworkManager 1.0.6 issues with vpnc or openconnect.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 15:17 EDT by Eric Lake
Modified: 2016-07-19 15:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:57:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Lake 2015-09-30 15:17:43 EDT
Description of problem:
A weird mixture of sites that work and those that dont when connecting using either vpnc or openconnect through NetworkManager. When I connect to vpn from the vpnc or openconnect command line I do not have these issues.

Version-Release number of selected component (if applicable):
The following package versions seem to be the ones that have this issue
NetworkManager-wwan-1.0.6-5.fc22.x86_64
NetworkManager-adsl-1.0.6-5.fc22.x86_64
NetworkManager-config-connectivity-fedora-1.0.6-5.fc22.x86_64
NetworkManager-vpnc-1.0.2-1.fc22.x86_64
NetworkManager-vpnc-gnome-1.0.2-1.fc22.x86_64
NetworkManager-1.0.6-5.fc22.x86_64
NetworkManager-pptp-1.1.0-1.20150428git695d4f2.fc22.x86_64
NetworkManager-openvpn-gnome-1.0.2-2.fc22.x86_64
NetworkManager-wifi-1.0.6-5.fc22.x86_64
NetworkManager-glib-1.0.6-5.fc22.x86_64
NetworkManager-openvpn-1.0.2-2.fc22.x86_64
NetworkManager-pptp-gnome-1.1.0-1.20150428git695d4f2.fc22.x86_64
NetworkManager-libnm-1.0.6-5.fc22.x86_64
NetworkManager-openconnect-1.0.2-1.fc22.x86_64
NetworkManager-bluetooth-1.0.6-5.fc22.x86_64

How reproducible:
Run a dnf upgrade and verify that you have the affected versions of the NetworkManager packages. Set up a vpnc vpn profile through NetworkManager and then attempt to browse to internet sites.

Actual results:
An odd mixture of sites that work and those that don't. For instance 

If I curl the site I see the following on vpn

$ curl -v http://jekyllthemes.org/
* Trying 198.199.71.10...
* Connected to jekyllthemes.org (198.199.71.10) port 80 (#0)
> GET / HTTP/1.1
> User-Agent: curl/7.40.0
> Host: jekyllthemes.org
> Accept: */*
> 

Expected results:
Sites should load without issue. In the above example I curled jekyllthemes.org. When I disconnect from the vpn I get the following results which are expected.

$ curl -v http://jekyllthemes.org/
* Trying 198.199.71.10...
* Connected to jekyllthemes.org (198.199.71.10) port 80 (#0)
> GET / HTTP/1.1
> User-Agent: curl/7.40.0
> Host: jekyllthemes.org
> Accept: */*
> 
< HTTP/1.1 200 OK
< Server: nginx
< Date: Wed, 30 Sep 2015 18:05:19 GMT
< Content-Type: text/html
< Last-Modified: Thu, 20 Aug 2015 05:40:25 GMT
< ETag: "55d56849-20e9"
< X-Clacks-Overhead: GNU Terry Pratchett
< Accept-Ranges: bytes
< Content-Length: 8425
< Age: 0
< Via: 1.1 604160-SAT6WWSG06.secops.rackspace.com
<
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Jekyll Themes</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link href="http://fonts.googleapis.com/css?family=Playball" rel="stylesheet">
<link href="/assets/css/jekyllthemes.css" rel="stylesheet" />
<link href="/assets/css/syntax.css" rel="stylesheet" />
</head>


<body>

<snip> ... </snip>

</body>
</html>
* Connection #0 to host jekyllthemes.org left intact

Additional info:
The fix in my case was to do a downgrade of "NetworkManager*" to a previous working version (1.0.2).

These seem to work without issue:
NetworkManager-wifi-1.0.2-1.fc22.x86_64
NetworkManager-bluetooth-1.0.2-1.fc22.x86_64
NetworkManager-glib-1.0.2-1.fc22.x86_64
NetworkManager-openvpn-1.0.2-1.fc22.x86_64
NetworkManager-vpnc-1.0.2-1.fc22.x86_64
NetworkManager-vpnc-gnome-1.0.2-1.fc22.x86_64
NetworkManager-libnm-1.0.2-1.fc22.x86_64
NetworkManager-config-connectivity-fedora-1.0.2-1.fc22.x86_64
NetworkManager-wwan-1.0.2-1.fc22.x86_64
NetworkManager-pptp-1.1.0-1.20150428git695d4f2.fc22.x86_64
NetworkManager-adsl-1.0.2-1.fc22.x86_64
NetworkManager-1.0.2-1.fc22.x86_64
NetworkManager-pptp-gnome-1.1.0-1.20150428git695d4f2.fc22.x86_64
NetworkManager-openvpn-gnome-1.0.2-1.fc22.x86_64
NetworkManager-openconnect-1.0.2-1.fc22.x86_64
Comment 1 Eric Lake 2015-09-30 15:22:58 EDT
A few example sites that did and did not work when on the vpn connection.

Worked:
https://google.com


Did not work:
https://duckduckgo.com
http://jekyllthemes.org/
https://github.com
https://gist.github.com
Comment 2 Jirka Klimes 2015-10-08 02:32:41 EDT
Please try NetworkManager-1.0.6-6.fc22.x86_64, see bug 1244547.
Comment 3 Fedora End Of Life 2016-07-19 15:57:20 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.